Failed to update the ModSecurity rule set: ASLValidate error 77 or E_CERT 60

Refers to:

  • Plesk 12.5 for Linux
  • Plesk 12.0 for Linux

Created:

2016-11-16 12:55:35 UTC

Modified:

2016-12-21 19:33:09 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Failed to update the ModSecurity rule set: ASLValidate error 77 or E_CERT 60

Symptoms

Unable to apply ModSecurity Ruleset in Plesk > Tools & Settings > Web Application Firewall (ModSecurity) :

gpg: WARNING: This key is not certified with a trusted signature! gpg: There is no indication that the signature belongs to the owner. Primary key fingerprint: 1818 66DF 9DAC A40E 5B42 9B08 FFBD 5D0A 4520 AFA9 TERM environment variable not set. aum failed with exitcode 3. stdout: Checking versions ... 
[0;33m2 304 Core::distributed_update Problem with the CA cert (path? permission ?) [0m[0;33m2 304 Core::distributed_update Problem with the CA cert (path? permission ?) [0m[0;33m2 304 Core::distributed_update Problem with the CA cert (path? permission ?) [0m[0;33m2 304 Core::distributed_update Problem with the CA cert (path? permission ?) [0m[0;33m2 304 Core::distributed_update Problem with the CA cert (path? permission ?) [0m[1;31m3 301 Core::check_versions ASL Version list could not be retrieved.
stderr: Unable to download tortix rule set

OR

ASLValidate::_send_request validation error: 77

Cause

Outdated package ca-certificates .

Resolution

  1. Upgrade ca-certificates package:

    yum upgrade ca-certificates
  2. Apply ModSecurity Ruleset in Plesk > Tools & Settings > Web Application Firewall (ModSecurity) .

  3. If upgrade did not help try to uninstall ca-certificates package and install it back.

    3.1 Determine which package is installed on the server:

    # rpm -qa | grep ca-cert
    ca-certificates-2015.2.6-65.0.1.el6_7.noarch

    3.2. Remove it without dependencies:

    # rpm -e --nodeps ca-certificates-2015.2.6-65.0.1.el6_7.noarch

    3.3. Install from repository:

    # yum install ca-certificates

    Usually this happens when some files are marked as %config(noreplace) .

Have more questions? Submit a request
Please sign in to leave a comment.